package client.renderer.blockmodel;

import java.util.List;

import client.renderer.texture.TextureAtlasSprite;
import game.model.Transforms;
import game.world.Facing;

public interface IBakedModel
{
    List<BakedQuad> getFaceQuads(Facing facing);

    List<BakedQuad> getGeneralQuads();

    boolean isAmbientOcclusion();

    boolean isGui3d();

    boolean isBuiltInRenderer();

    TextureAtlasSprite getParticleTexture();

    Transforms getItemCameraTransforms();
}
